Get department consumption and quotas
Get department consumption and quotas. See the OpenAPI-defined parameters, request body, and responses below.
GET
/Department/{id}/quotaGet department consumption and quotas. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Retorna o consumo do mês atual em UTC, os limites do tenant e do departamento e a indicação de bloqueio por cota. Não altera limites nem registra consumo.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
| Name | Location | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
id | path | integer · int32 | Yes | — | — |
Request body
This operation does not accept a request body.
Example request
curl --request GET \
--url 'https://api.zild.ai/Department/{id}/quota' \
--header 'X-API-Key: YOUR_USER_API_KEY'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Situação das cotas. | application/json · UsageQuotaStatus |
Example response (200):
{
"tenantUsedAmount": 0,
"tenantLimitAmount": 0,
"departmentUsedAmount": 0,
"departmentLimitAmount": 0,
"exceeded": true
}
Data models
UsageQuotaStatus
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
tenantUsedAmount | number · double | No | — | — |
tenantLimitAmount | number · double | No | — | nullable |
departmentUsedAmount | number · double | No | — | — |
departmentLimitAmount | number · double | No | — | nullable |
exceeded | boolean | No | — | — |